### Hierarchy

- Locale

## Index

### Methods

- calendar
- firstDayOfWeek
- firstDayOfYear
- invalidDate
- isPM
- longDateFormat
- meridiem
- months
- monthsParse
- monthsRegex
- monthsShort
- monthsShortRegex
- ordinal
- pastFuture
- postformat
- preparse
- relativeTime
- set
- week
- weekdays
- weekdaysMin
- weekdaysMinRegex
- weekdaysParse
- weekdaysRegex
- weekdaysShort
- weekdaysShortRegex

## Methods

### calendar

- calendar(key?: CalendarKey, m?: Moment, now?: Moment): string

- - Defined in node_modules/moment/moment.d.ts:10

  #### Parameters

  - ##### Optional key: CalendarKey

  - ##### Optional m: Moment

  - ##### Optional now: Moment

  #### Returns string

### firstDayOfWeek

- firstDayOfWeek(): number

- - Defined in node_modules/moment/moment.d.ts:33

  #### Returns number

### firstDayOfYear

- firstDayOfYear(): number

- - Defined in node_modules/moment/moment.d.ts:32

  #### Returns number

### invalidDate

- invalidDate(): string

- - Defined in node_modules/moment/moment.d.ts:13

  #### Returns string

### isPM

- isPM(input: string): boolean

- - Defined in node_modules/moment/moment.d.ts:46

  #### Parameters

  - ##### input: string

  #### Returns boolean

### longDateFormat

- longDateFormat(key: LongDateFormatKey): string

- - Defined in node_modules/moment/moment.d.ts:12

  #### Parameters

  - ##### key: LongDateFormatKey

  #### Returns string

### meridiem

- meridiem(hour: number, minute: number, isLower: boolean): string

- - Defined in node_modules/moment/moment.d.ts:47

  #### Parameters

  - ##### hour: number

  - ##### minute: number

  - ##### isLower: boolean

  #### Returns string

### months

- months(): string[]
- months(m: Moment, format?: undefined | string): string

- - Defined in node_modules/moment/moment.d.ts:23

  #### Returns string[]

- - Defined in node_modules/moment/moment.d.ts:24

  #### Parameters

  - ##### m: Moment

  - ##### Optional format: undefined | string

  #### Returns string

### monthsParse

- monthsParse(monthName: string, format: string, strict: boolean): number

- - Defined in node_modules/moment/moment.d.ts:27

  #### Parameters

  - ##### monthName: string

  - ##### format: string

  - ##### strict: boolean

  #### Returns number

### monthsRegex

- monthsRegex(strict: boolean): RegExp

- - Defined in node_modules/moment/moment.d.ts:28

  #### Parameters

  - ##### strict: boolean

  #### Returns RegExp

### monthsShort

- monthsShort(): string[]
- monthsShort(m: Moment, format?: undefined | string): string

- - Defined in node_modules/moment/moment.d.ts:25

  #### Returns string[]

- - Defined in node_modules/moment/moment.d.ts:26

  #### Parameters

  - ##### m: Moment

  - ##### Optional format: undefined | string

  #### Returns string

### monthsShortRegex

- monthsShortRegex(strict: boolean): RegExp

- - Defined in node_modules/moment/moment.d.ts:29

  #### Parameters

  - ##### strict: boolean

  #### Returns RegExp

### ordinal

- ordinal(n: number): string

- - Defined in node_modules/moment/moment.d.ts:14

  #### Parameters

  - ##### n: number

  #### Returns string

### pastFuture

- pastFuture(diff: number, absRelTime: string): string

- - Defined in node_modules/moment/moment.d.ts:20

  #### Parameters

  - ##### diff: number

  - ##### absRelTime: string

  #### Returns string

### postformat

- postformat(inp: string): string

- - Defined in node_modules/moment/moment.d.ts:17

  #### Parameters

  - ##### inp: string

  #### Returns string

### preparse

- preparse(inp: string): string

- - Defined in node_modules/moment/moment.d.ts:16

  #### Parameters

  - ##### inp: string

  #### Returns string

### relativeTime

- relativeTime(n: number, withoutSuffix: boolean, key: RelativeTimeKey, isFuture: boolean): string

- - Defined in node_modules/moment/moment.d.ts:18

  #### Parameters

  - ##### n: number

  - ##### withoutSuffix: boolean

  - ##### key: RelativeTimeKey

  - ##### isFuture: boolean

  #### Returns string

### set

- set(config: Object): void

- - Defined in node_modules/moment/moment.d.ts:21

  #### Parameters

  - ##### config: Object

  #### Returns void

### week

- week(m: Moment): number

- - Defined in node_modules/moment/moment.d.ts:31

  #### Parameters

  - ##### m: Moment

  #### Returns number

### weekdays

- weekdays(): string[]
- weekdays(m: Moment, format?: undefined | string): string

- - Defined in node_modules/moment/moment.d.ts:35

  #### Returns string[]

- - Defined in node_modules/moment/moment.d.ts:36

  #### Parameters

  - ##### m: Moment

  - ##### Optional format: undefined | string

  #### Returns string

### weekdaysMin

- weekdaysMin(): string[]
- weekdaysMin(m: Moment): string

- - Defined in node_modules/moment/moment.d.ts:37

  #### Returns string[]

- - Defined in node_modules/moment/moment.d.ts:38

  #### Parameters

  - ##### m: Moment

  #### Returns string

### weekdaysMinRegex

- weekdaysMinRegex(strict: boolean): RegExp

- - Defined in node_modules/moment/moment.d.ts:44

  #### Parameters

  - ##### strict: boolean

  #### Returns RegExp

### weekdaysParse

- weekdaysParse(weekdayName: string, format: string, strict: boolean): number

- - Defined in node_modules/moment/moment.d.ts:41

  #### Parameters

  - ##### weekdayName: string

  - ##### format: string

  - ##### strict: boolean

  #### Returns number

### weekdaysRegex

- weekdaysRegex(strict: boolean): RegExp

- - Defined in node_modules/moment/moment.d.ts:42

  #### Parameters

  - ##### strict: boolean

  #### Returns RegExp

### weekdaysShort

- weekdaysShort(): string[]
- weekdaysShort(m: Moment): string

- - Defined in node_modules/moment/moment.d.ts:39

  #### Returns string[]

- - Defined in node_modules/moment/moment.d.ts:40

  #### Parameters

  - ##### m: Moment

  #### Returns string

### weekdaysShortRegex

- weekdaysShortRegex(strict: boolean): RegExp

- - Defined in node_modules/moment/moment.d.ts:43

  #### Parameters

  - ##### strict: boolean

  #### Returns RegExp

Generated using TypeDoc